"obj" parameter is not defined for macros used in description of documents
2013-04-20 05:24 - Pierre-Louis Bonicoli

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 232

Resolution: Fixed Affected version:

Description

Custom macros used in description of document don't receive a defined "obj" parameter:

1. in document view, "object" parameter is not used when "textilizable" is called, so
2. "obj" variable is not defined and any macro is called with a not defined "obj"
3. macros can not access to the document that is rendered

For testing, here is a macro:

Redmine: :WikiFormatting: :Macros.register do
desc "test macro"
macro :viewer do |obj, args]
if obj
lokl
else
'nok’
end
end
end

Associated revisions

Revision 11761 - 2013-05-01 18:08 - Jean-Philippe Lang

Fixed: "obj" parameter is not defined for macros used in description of documents (#13821).

Revision 11836 - 2013-05-12 11:44 - Jean-Philippe Lang
Merged r11761 from trunk (#13821).

History

#1 - 2013-04-20 05:26 - Pierre-Louis Bonicoli

- File allow_macros_in_documents.diff added

Patch attached.

#2 - 2013-05-01 18:09 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.2

- Resolution set to Fixed

Fixed in r11761, thanks for pointing this out.

#3 - 2013-05-12 11:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
http://www.redmine.org/projects/redmine/wiki/RedmineDocuments
http://www.redmine.org/projects/redmine/repository/entry/trunk/app/views/documents/show.html.erb#L15
http://www.redmine.org/projects/redmine/repository/entry/trunk/app/helpers/application_helper.rb#L477
https://www.redmine.org/projects/redmine/repository/svn/revisions/11761
